campagne : 
  titre : "Photo sans tirage"
  adminFamille : "Avec chargement photo"
  description :  "Dossier : nom, prénom, email, acceptation règlement + 1 photo<br/>Pas de compte joueur<br/>Pas de dotation, inscription à un tirage au sort ultérieur, vérification admin des participations"
  is_disponible : true
  configuration :    
    has_participant : false
    has_tirage : false
    participation_init :
      setActeur : ADMIN
      setTirageStatut : gagnant_possible      
    notes :
      mini_lock_fe : 80
      maxi_purgek : 79
    include_commons : [20.tirage-std.yml, 90.sys_cms.yml]
  etapes : 
    fe_home :
      action : dossier
      etape : coordonnees
      route: fe_home
    coordonnees :
      type : dossier
      route : fe_dossier
      desc : saisie nom, prénom, email
      init :
        requis :
          participation :
            getIsDossierLocked : false
        sinon : creerParticipation
#        preaction : [tirage]
      lignes : 
        5 :
          type : text
          key : titre 
          value : "Le jeu" 
          css : titre 
          tag : h1
        10 :
          type : form
          key : nom 
          note : 20 
          label : 'Votre nom'
          form_config : { }
          form_validation : 
            NotNull: ~
        20 : 
          type : form
          key : prenom
          note : 20
          label : 'Votre prénom' 
          form_config : { }
          form_validation : 
            NotNull: ~
        30 :
          type : form
          key : email 
          note : 20
          label : 'Votre email' 
          form_config : { }
          form_validation : 
            NotNull: ~
            Email: ~
        80:
            type: form
            key: isAccepte
            note: 1
            label: ''
            form_config:
                label: 'J''ai pris connaissance <a href="#" target="_blank">du règlement</a> et je l''accepte <small>(obligatoire)</small>'
            form_validation:
                IsTrue: { message: 'Vous devez confirmer' }
        90:
            type: form
            key: extraBool1
            note: 1
            label: ''
            form_config:
                label: 'J''ai pris connaissance de l''information relative à la «protection des données personnelles»'
            form_validation:
                IsTrue: { message: 'Vous devez confirmer' }        
        100 :
          type : submit
          key : btnsubmit 
          value : Valider
          css : btn btn-ok
      etapes_suivantes : 
        ok : pieces 
    pieces :
      type : dossier
      route : fe_dossier
      desc : chargement d'une photo
      init :
        requis :
          participation :
            getIsDossierLocked : false
        sinon : fe_home
      lignes : 
        10 :
          type : form
          key : photo1 
          note : 20
          label : 'Charger une photo' 
          #form_config : { "attr": {"accept": "image/*;capture=camera"} }
          #form_validation : 
          #  NotNull: ~
          #  File:
          #    maxSize: 1024k
          #    mimeTypes: ["image/png", "image/jpeg", "image/jpg"]
          #    mimeTypesMessage: Merci de spécifier une image au format jpeg ou png        
        100 :
          type : submit
          key : btnsubmit 
          value : Valider
          css : btn btn-ok
      etapes_suivantes : 
        ok : lock_participation
    lock_participation :
      type : redirect
      route : fe_lock_participation
      desc : validation de la participation et redirection
      init :
        requis :
          participation :
            getIsDossierLocked : false
        sinon : fe_home
      lignes : []            
      etapes_suivantes : 
        gagnant_possible : merci
    merci :
      type : cms
      route : fe_cms
      desc : participation validée
      init :
        requis :
          participation :
            getIsDossierLocked : true
        sinon : fe_home
#        preaction : [tirage]
      lignes : 
        10 :
          type : cms
          key : info_gagnant_possible 
          default : "Bravo, <br/><br/><br/><br/>"        
      etapes_suivantes : 
        ok : fe_home
  acteur_action:
    admin: 
      keys:
        nom: 15 
        photo1: 55
